# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Wed Feb 16 17:41:25 2022
# ------------------------------------------------

package:
  name: tk
  version: 8.6.12
source:
  - folder: tcl8.6.12
    sha256: 26c995dd0f167e48b11961d891ee555f680c175f7173ff8cb829f4ebcde4c1a6
    url: https://downloads.sourceforge.net/tcl/tcl8.6.12-src.tar.gz
  - folder: tk8.6.12
    patches: null
    sha256: 12395c1f3fcb6bed2938689f797ea3cdf41ed5cb6c4766eec8ac949560310630
    url: https://downloads.sourceforge.net/tcl/tk8.6.12-src.tar.gz
build:
  detect_binary_files_with_prefix: true
  number: '0'
  run_exports:
    - tk >=8.6.12,<8.7.0a0
  string: h27826a3_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - binutils_impl_linux-64 2.36.1 h193b22a_2
    - binutils_linux-64 2.36 hf3e587d_5
    - gcc_impl_linux-64 9.4.0 h03d3576_12
    - gcc_linux-64 9.4.0 h391b98a_5
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libgcc-devel_linux-64 9.4.0 hd854feb_12
    - libgcc-ng 11.2.0 h1d223b6_12
    - libgomp 11.2.0 h1d223b6_12
    - libsanitizer 9.4.0 h79bfe98_12
    - libstdcxx-ng 11.2.0 he4da1e4_12
    - libx11-common-cos6-x86_64 1.6.4 h9b0a68f_1105
    - libx11-cos6-x86_64 1.6.4 h9b0a68f_1105
    - libx11-devel-cos6-x86_64 1.6.4 h9b0a68f_1105
    - libxau-cos6-x86_64 1.0.6 h9b0a68f_1105
    - libxcb-cos6-x86_64 1.12 h9b0a68f_1105
    - make 4.3 hd18ef5c_1
    - sysroot_linux-64 2.12 he073ed8_15
    - xorg-x11-proto-devel-cos6-x86_64 7.7 h9b0a68f_1105
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - libgcc-ng 11.2.0 h1d223b6_12
    - libgomp 11.2.0 h1d223b6_12
    - libzlib 1.2.11 h36c2ea0_1013
    - zlib 1.2.11 h36c2ea0_1013
  run:
    - libgcc-ng >=9.4.0
    - libzlib >=1.2.11,<1.3.0a0
test:
  commands:
    - test -f "${PREFIX}/bin/tclsh"
    - test -f "${PREFIX}/bin/wish"
    - test -f "${PREFIX}/bin/tclsh8.6"
    - test -f "${PREFIX}/bin/wish8.6"
    - test -f "${PREFIX}/include/tcl.h"
    - test -f "${PREFIX}/include/tclDecls.h"
    - test -f "${PREFIX}/include/tclPlatDecls.h"
    - test -f "${PREFIX}/include/tclPlatDecls.h"
    - test -f "${PREFIX}/include/tclTomMathDecls.h"
    - test -f "${PREFIX}/include/tclTomMath.h"
    - test -f "${PREFIX}/include/tk.h"
    - test -f "${PREFIX}/include/tkDecls.h"
    - test -f "${PREFIX}/include/tkPlatDecls.h"
    - test -f "${PREFIX}/lib/libtcl8.6.so"
    - test -f "${PREFIX}/lib/libtclstub8.6.a"
    - test -f "${PREFIX}/lib/libtk8.6.so"
    - test -f "${PREFIX}/lib/libtkstub8.6.a"
    - tclsh hello.tcl
    - tclsh8.6 hello.tcl
    - wish hello.tcl
    - wish8.6 hello.tcl
  files:
    - hello.tcl
about:
  dev_url: https://github.com/tcltk/tk
  home: http://www.tcl.tk/
  license: TCL
  license_family: BSD
  license_file: tcl8.6.12/license.terms
  summary: A dynamic programming language with GUI support.  Bundles Tcl and Tk.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - isuruf
    - jakirkham
    - matthiasdiener
    - msarahan
    - ocefpaf
    - pelson
